%define name	powl
%define version	0.9
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Semantic Web Development Platform
License:	GPL
Group:		System/Servers
URL:		http://powl.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/powl/%{name}-%{version}.tar.bz2
Source1:	%{name}.README.mdk.bz2
Patch0:		%{name}-0.9.fhs.patch.bz2
Patch1:		%{name}-0.9.external-rap.patch.bz2
Patch2:		%{name}-0.9.utf8.patch.bz2
Requires:	apache-mod_php >= 2.0.54
Requires:	php-rap >= 0.9.1-7mdk
Requires:	php-xml
BuildArch:	noarch
BuildRequires:	apache-base >= 2.0.54-5mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Since PHP is by far the most distributed web development technology (as
regularly confirmed by Netcraft), the semantic web paradigm will probably only
be successful in a broad perspective if there are applications and tools
available tightly interacting with this language. The aim of the pOWL project
is thus to deliver a PHP and web-based ontology edititing and management
solution to the OpenSoure community.

%prep
%setup -q
bzcat %{SOURCE1} > README.mdk
%patch0 -p 1
%patch1 -p 1
%patch2
find . -type f -exec perl -pi -e 's/\r$//' {} \;
rm -f powlapi/.#include.php.1.91

%build

%install
rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_var}/www/%{name}
cp -p *.php %{buildroot}%{_var}/www/%{name}
cp -p *.css %{buildroot}%{_var}/www/%{name}
cp -pr doc %{buildroot}%{_var}/www/%{name}
cp -pr images %{buildroot}%{_var}/www/%{name}
cp -pr modules %{buildroot}%{_var}/www/%{name}
cp -pr owlapi %{buildroot}%{_var}/www/%{name}
cp -pr plugins %{buildroot}%{_var}/www/%{name}
cp -pr powlapi %{buildroot}%{_var}/www/%{name}
cp -pr rdfsapi %{buildroot}%{_var}/www/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m 644 config.inc.php-dist %{buildroot}%{_sysconfdir}/%{name}.conf

install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -m 644 SysOnt.owl %{buildroot}%{_datadir}/%{name}

# apache configuration
install -d -m 755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf <<EOF
# Cacti Apache configuration file
Alias /%{name} %{_var}/www/%{name}
<Directory %{_var}/www/%{name}>
    Allow from all
    php_value memory_limit 16M
    php_value allow_call_time_pass_reference 1
</Directory>
EOF

%post
%_post_webapp

%postun
%_postun_webapp

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.mdk CHANGELOG INSTALL readme todo
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_var}/www/%{name}
%{_datadir}/%{name}

%changelog
* Thu Jun 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-2mdk 
- use new rpm apache macros
- requires php-rap >= 0.9.1-7mdk
- allow 16Mo memory limit
- better external rap patch

* Mon Jun 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9-1mdk 
- new release
- safer %%post and %%postun
- rediff patches 0 and 2

* Fri Jun 17 2005 Pascal Terjan <pterjan@mandriva.org> 0.8-2mdk
- fix invalid utf8 in SysOnt.owl (P2)

* Wed Jun 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-1mdk 
- first mdk release
